<html>
<title>matrix-free methods</title><body bgcolor="FFFFFF">
<h2>matrix-free methods</h2>
<menu>
<LI><A HREF="../../../src/snes/examples/tutorials/ex6.c.html"><CONCEPT>ex6.c</CONCEPT></A>
<menu>
u`` + u^{2} = f. Different matrices for the Jacobian and the preconditioner.<BR>Demonstrates the use of matrix-free Newton-Krylov methods in conjunction<BR>
with a user-provided preconditioner.  Input arguments are:<BR>
   -snes_mf : Use matrix-free Newton methods<BR>
   -user_precond : Employ a user-defined preconditioner.  Used only with<BR>
                   matrix-free methods in this example.<BR>
</menu>
</menu>
</body>
</html>
